<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     Yellow: Highlight Package On Hover
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function Yellow()
{
	global $txt, $scripturl, $context, $modSettings, $settings;
	
	// Load the ROAM language
	loadLanguage('Yellow');
	
	if (!empty($modSettings['yellow_enable']))
	{
		// Default color for highlighting package is yellow
		$context['html_headers'] .= "\n" . '
	<style type="text/css">
	/*<![CDATA[*/
			div#admincenter tr.windowbg:hover, div#admincenter tr.windowbg2:hover
			{
				background: ' . (empty($modSettings['yellow_change']) ? 'yellow' : $modSettings['yellow_change']) . ';
				' . (!empty($modSettings['yellow_font_weight']) ? 'font-weight: bold;' : '') . '
				' . (!empty($modSettings['yellow_font_style']) ? 'font-style: italic;' : '') . '
			}
	/*]]>*/
	</style>
		';
	}
}

function Yellow_Settings(&$config_vars)
{
	global $txt, $scripturl, $context, $modSettings, $settings;
	
	// Load the ROAM language
	loadLanguage('Yellow');

	$yellow = array(
			'',
			// Add Yellow Settings
			array('check', 'yellow_enable'),
			array('check', 'yellow_font_weight'),
			array('check', 'yellow_font_style'),
			array('text', 'yellow_change'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $yellow);
}
?>